%define modname websocket
%define distname websocket-client
%define eggname websocket_client

Name:          python-websocket-client
Version:       0.57.0
Release:       %mkrel 2
Summary:       WebSocket client for python

Group:         Development/Python
License:       LGPLv2
URL:           http://pypi.python.org/pypi/websocket-client
Source0:       http://pypi.python.org/packages/source/w/%{distname}/%{eggname}-%{version}.tar.gz

BuildArch:     noarch

BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(six)

Requires:      python-six

%description
python-websocket-client module is WebSocket client for python. This
provides the low level APIs for WebSocket. All APIs are the synchronous
functions.

python-websocket-client supports only hybi-13.

%package -n python3-websocket-client
Summary:       WebSocket client for python
Group:         Development/Python
Requires:      python3dist(six)
%{?python_provide:%python_provide python3-%{distname}}

%description -n python3-websocket-client
python-websocket-client module is WebSocket client for python. This
provides the low level APIs for WebSocket. All APIs are the synchronous
functions.

python-websocket-client supports only hybi-13.

%prep
%setup -q -n %{eggname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{eggname}.egg-info

%build
%py3_build

%install
%py3_install
mv %{buildroot}/%{_bindir}/wsdump.py \
    %{buildroot}/%{_bindir}/wsdump

# remove tests that got installed into the buildroot
rm -rf %{buildroot}/%{python3_sitelib}/tests/

# Remove executable bit from installed files.
find %{buildroot}/%{python3_sitelib} -type f -exec chmod -x {} \;

# remove tests that got installed into the buildroot
rm -rf %{buildroot}/%{python_sitelib}/tests/

# Remove executable bit from installed files.
find %{buildroot}/%{python_sitelib} -type f -exec chmod -x {} \;

%check
%{__python3} setup.py test

%files -n python3-websocket-client
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{eggname}*%{version}*
%{_bindir}/wsdump


%changelog
* Tue Jan 12 2021 daviddavid <daviddavid> 0.57.0-2.mga8
+ Revision: 1671230
- provide and obsolete old python-websocket-client

* Tue Sep 15 2020 guillomovitch <guillomovitch> 0.57.0-1.mga8
+ Revision: 1626676
- new version 0.57.0

* Sun Feb 16 2020 umeabot <umeabot> 0.56.0-3.mga8
+ Revision: 1531765
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 joequant <joequant> 0.56.0-2.mga8
+ Revision: 1440909
- fix wsdump
- remove py2_install
- remove python2
- upgrade to python 3.8

* Sat Apr 20 2019 wally <wally> 0.56.0-1.mga7
+ Revision: 1394094
- new version 0.56.0

* Tue Jan 08 2019 tv <tv> 0.34.0-5.mga7
+ Revision: 1352380
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.34.0-4.mga7
+ Revision: 1290562
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.34.0-3.mga7
+ Revision: 1135690
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.34.0-2.mga6
+ Revision: 972468
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 0.34.0-1.mga6
+ Revision: 898719
- update to 0.34

* Thu Oct 08 2015 tv <tv> 0.32.0-2.mga6
+ Revision: 887561
- rebuild for python 3.5

* Mon Jul 20 2015 joequant <joequant> 0.32.0-1.mga6
+ Revision: 855576
- upgrade to 0.32.0

* Wed Oct 15 2014 umeabot <umeabot> 0.14.1-4.mga6
+ Revision: 741439
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.14.1-3.mga5
+ Revision: 729975
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.14.1-2.mga5
+ Revision: 688416
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 philippem <philippem> 0.14.1-1.mga5
+ Revision: 643490
- update to 0.14, add Python3
+ pterjan <pterjan>
- Rebuild for new Python

* Mon Feb 24 2014 philippem <philippem> 0.12.0-1.mga5
+ Revision: 596618
- fix group
- imported package python-websocket-client

